## com.saxonica.schema
Class ContentType

    java.lang.Object
      com.saxonica.schema.ContentType

    public class ContentType

extends Object

Corresponds to a Content Type Property Record as defined in the XML Schema 1.1 specification

Field Summary
`String` `openContentMode`
`Wildcard` `openContentWildcard`
`Particle` `particle`
`SimpleType` `simpleTypeDefinition`
`int` `variety`

Constructor Summary
`ContentType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variety

    public int variety

### particle

    public Particle particle

### openContentWildcard

    public Wildcard openContentWildcard

### openContentMode

    public String openContentMode

### simpleTypeDefinition

    public SimpleType simpleTypeDefinition

Constructor Detail

### ContentType

    public ContentType()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.